path: /build/build/virtualbox-guest-additions-kernel-5.10-7.0.16.162802+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y --sync-repos kernel-5.10/macaroni-lts-modules --nodeps && luet i -y
    sys-apps/kmod bison flex virtual/linux-sources yasm virtual/libelf dbus xmlto
    app-text-4.2/docbook-xml-dtd app-text-4.4/docbook-xml-dtd app-text-3.0/docbook-xml-dtd
    app-text/docbook-xsl-stylesheets app-text/build-docbook-catalog app-text/sgml-common
    pkgconf iasl $(luet s x11-drivers --quiet) xrandr xrefresh && build-docbook-catalog
    && luet cleanup && cd /lib/modules/5.10.215-macaroni && ln -s /usr/src/linux-5.10.215-macaroni
    build
  - epro list && USE="X dbus" emerge app-emulation/virtualbox-guest-additions -pv
    -t
  - |
    USE="X dbus" emerge app-emulation/virtualbox-guest-additions
  - |
    eval 'rm -rf /virtualbox-guest-additions || true' && mkdir /virtualbox-guest-additions && \
    luet-portage --dir /virtualbox-guest-additions app-emulation/virtualbox-guest-additions
  - for i in /virtualbox-guest-additions/lib/modules/5.10.215-macaroni/misc/*.ko ;
    do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:140ba0c2af908e2273e6aca034ba19b1a17904f42f552fabf3e96f3a755743d2
  package:
    name: virtualbox-guest-additions
    version: 7.0.16.162802+1
    category: kernel-5.10
    use_flags:
    - X
    - dbus
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    provides:
    - name: virtualbox-guest-additions
      version: '>=0'
      category: app-emulation
    annotations:
      kernel_module: true
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    buildtimestamp: 2024-05-04 15:35:16.8156218 +0000 UTC m=+459.913725565
    labels:
      emerge.packages: app-emulation/virtualbox-guest-additions
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.215
    treedir: /build/packages
  package_dir: /virtualbox-guest-additions
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5e79a5ab0fec2779e05b2f9a2e76b7130715937b5317e7ca8787e35b9633900e
compressiontype: zstd
files:
- etc/init.d/virtualbox-guest-additions
- etc/modprobe.d/vboxsf.conf
- etc/modprobe.d/vboxvideo.conf
- etc/xdg/autostart/vboxclient.desktop
- lib/modules/5.10.215-macaroni/misc/vboxguest.ko.xz
- lib/modules/5.10.215-macaroni/misc/vboxsf.ko.xz
- lib/modules/5.10.215-macaroni/misc/vboxvideo.ko.xz
- lib/udev/rules.d/60-virtualbox-guest-additions.rules
- sbin/mount.vboxsf
- usr/bin/VBoxClient
- usr/bin/VBoxClient-all
- usr/bin/VBoxControl
- usr/bin/VBoxDRMClient
- usr/sbin/vboxguest-service
- usr/share/doc/virtualbox-guest-additions-7.0.16/xorg.conf.vbox.bz2
package_cacheimage: ""
runtime:
  name: virtualbox-guest-additions
  version: 7.0.16.162802+1
  category: kernel-5.10
  use_flags:
  - X
  - dbus
  provides:
  - name: virtualbox-guest-additions
    version: '>=0'
    category: app-emulation
  annotations:
    kernel_module: true
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  labels:
    emerge.packages: app-emulation/virtualbox-guest-additions
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.215
